
clear;

% load the map of energy
% the energy map used here is generated using the code from the following link
% http://webee.technion.ac.il/labs/cgm/Computer-Graphics-Multimedia/Software/Saliency/Saliency.html
P = im2double(imread('lina_attention.jpg')); 

I = imread('lina.jpg');
scale = size(P,1)/size(I,1);

% cropping rectangle with aspect ratio 9/16 which preserve at least 70% of total energy
tic; rect = MinAI(P, 0.7, 9/16); toc; 

% cropping rectangle with free aspect ratio which preserve at least 70% of total energy
% tic; rect = MinAI(P, 0.7, 0); toc;  

figure; imshow (I); hold on;rectangle('Position', rect/scale, 'LineWidth', 3, 'EdgeColor', 'w');
figure; subplot(1,2,1); imshow(P); hold on;
if rect(1)>0
    rectangle('Position', rect, 'LineWidth', 3, 'EdgeColor', 'w');
    subplot(1,2,2); imshow(imcrop(I, rect/scale));
end
